#include "tile/base/option/json_parser.h"

namespace tile {
namespace option {
std::optional<Json::Value>
JsonParser::TryParse(const std::string &str)
{
    if (str.empty()) { return Json::Value(); }
    Json::Value value;
    Json::Reader reader;
    if (reader.parse(str, value) && !value.isNull()) { return value; }
    return std::nullopt;
}
}// namespace option

}// namespace tile
